﻿@charset "UTF-8";

* {
    /*页面点击链接时会出现高亮框，此代码用来解决*/
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    /* 移动端滑动流畅性 */
    /* ios5+ */
    -webkit-overflow-scrolling: touch;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
ol,
ul,
dl,
dd,
p,
textarea,
input,
select,
option,
form {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

input:focus,
textarea:focus,
button,
select:focus {
    outline: none;
}

ul,
ol {
    list-style: none;
}

input,
select,
textarea {
    color: inherit;
    font-size: inherit;
}

.cl:after {
    content: "";
    clear: both;
    display: block;
}

html {
    width: 100%;
    height: 100%;
    /* rem固定比例 一般用于pc端 非响应式 1rem=100px */
    /* font-size: 100px; */
    /* 响应式 计算rem 要与设计图尺寸保持一致，eg：375尺寸的设计图，除以postcss.config.js的rootValue：100，得到3.75。最后写成 (100vw / 3.75)*/
    font-size: -webkit-calc(100vw / 7.5);
    /* 在触发滚动条时候并不挤压空间 */
    /* overflow-y: overlay; */
}

body {
    width: 100%;
    height: 100%;
    font-size: 24px;
}

/* 单行省略 */
.ellipsis1 {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

/*多行省略*/
.ellipsis2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    /* autoprefixer: off  防止代码不生效*/
    -webkit-box-orient: vertical;
    /* autoprefixer: on */
}

/* 禁止文本选中 */
.noSelect {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
